Bug 1577190 - Webacula prevents httpd from starting.
Summary: Webacula prevents httpd from starting.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: webacula
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Yuri Timofeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 12:30 UTC by Paul Johnson
Modified: 2019-05-28 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:23:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Johnson 2018-05-11 12:30:28 UTC
Description of problem:

The webacula package places a file in /etc/httpd/conf.d which contains a line that causes httpd to fail on start up.

Version-Release number of selected component (if applicable):
5.0.3-12.fc28 

How reproducible:
Always.

Steps to Reproduce:
1. dnf install webacula
2. systemctl start httpd

Actual results:

System log contains:

May 11 13:22:13 eiffel systemd[1]: Starting The Apache HTTP Server...
May 11 13:22:13 eiffel httpd[17953]: [Fri May 11 13:22:13.319959 2018] [so:warn] [pid 17953:tid 139994761627904] AH01574: module rewrite_module is already loaded, skipping
May 11 13:22:13 eiffel httpd[17953]: AH00526: Syntax error on line 26 of /etc/httpd/conf.d/webacula.conf:
May 11 13:22:13 eiffel httpd[17953]: Invalid command 'php_flag', perhaps misspelled or defined by a module not included in the server configuration
May 11 13:22:13 eiffel systemd[1]: httpd.service: Main process exited, code=exited, status=1/FAILURE
May 11 13:22:13 eiffel systemd[1]: httpd.service: Failed with result 'exit-code'.
May 11 13:22:13 eiffel systemd[1]: Failed to start The Apache HTTP Server.


Expected results:

Apache starts with webacula.

Additional info:

Comment 1 Ben Cotton 2019-05-02 19:23:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 21:31:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:23:53 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.